# Documentation

**react-desktop** is a JavaScript library built on top of [Facebook's React](https://facebook.github.io/react/) library, 
which aims to bring a native desktop experience to the web, featuring many OS X El Capitan and Windows 10 components. 
**react-desktop** works perfectly with [node-webkit](http://nwjs.io) and [Electron.js](http://electron.atom.io), but 
can be used in any JavaScript powered project!

## Table of Contents

1. Getting Started
  * [Installation](/docs/getting-started/installation.md)
2. OS X
  * [Box](/docs/osx/box.md)
  * [Button](/docs/osx/button.md)
  * [Checkbox](/docs/osx/checkbox.md)
  * [Label](/docs/osx/label.md)
  * [Progress Circle](/docs/osx/progress-circle.md)
  * [Radio](/docs/osx/radio.md)
  * [Segmented Control](/docs/osx/segmented-control.md)
  * [Text](/docs/osx/text.md)
  * [Text Input](/docs/osx/text-input.md)
  * [Title Bar](/docs/osx/title-bar.md)
  * [Toolbar](/docs/osx/toolbar.md)
  * [View](/docs/osx/view.md)
  * [Window](/docs/osx/window.md)
3. Windows 10
  * [Button](/docs/windows/button.md)
  * [Checkbox](/docs/windows/checkbox.md)
  * [Label](/docs/windows/label.md)
  * [Master/Details View](/docs/windows/master-details-view.md)
  * [Nav Pane](/docs/windows/nav-pane.md)
  * [Progress Circle](/docs/windows/progress-circle.md)
  * [Radio](/docs/windows/radio.md)
  * [Text](/docs/windows/text.md)
  * [Text Input](/docs/windows/text-input.md)
  * [Title Bar](/docs/windows/title-bar.md)
  * [View](/docs/windows/view.md)
  * [Window](/docs/windows/window.md)
4. [Contributing](/CONTRIBUTING.md)
5. [Change Log](/CHANGELOG.md)

<!---
4. Advanced Usage
 * [Electron.js](/docs/advanced-usage/electron-js.md)
 * [node-webkit](/docs/advanced-usage/node-webkit.md)
5. [Testing](/docs/testing.md)
6. [Frequently Asked Questions](/docs/faq.md)
-->
